Data handling when exporting/printing maps
Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13477

Description

When producing A0 print compositions, using a raster basemap and vector overlay, the only means of using the map is by Printing to

Adobe, which can only be done if you have the professional license (this may also be true for other packages, though this is the only one I

had installed).  

Scenarios tried:

- If I check the Print as Raster box I cannot export the image because it says the image size is too big (Error  - 'Image too big. Creation of

image with 14043x9933 pixels failed. Export aborted').

- If I uncheck Print as Raster and export as an image (png or pdf), I receive an error message either during creation or when opening the

image that says Errors exist on the Page, or words to the effect that it could not complete the task. 

- If I try to print directly from the QGIS print composer to the Plotter printer, the basemap is printed, but not the vector overlay.

I used the 1:250k raster available as Open Data from the Ordnance Survey, tiles SU and SZ, but would normally use 1:50k for larger

maps.

History

#1 - 2011-01-17 01:00 PM - Giovanni Manghi

Hi,

I downloaded a lot of data (vector and raster) from Ordnance Survey, added to a QGIS project (trunk, under linux Ubuntu 10.04) and had no problem in

creating the A0 PDF both as vector and raster. Also saving the image (14043x9933 pixels, 500mb) gave no problems at all.

#2 - 2011-04-17 06:07 AM - Anne Ghisla

I was able to export an A0 rasterized PDF and a PNG, both of around 60MB, showing both the raster and vector map I used for test; I can't check the

direct print.

The issue could be related to memory size. My laptop has 2GB RAM, and runs Fedora and QGIS trunk. Is this problem reproduceable on a computer with

more memory than the one used for this report?

#3 - 2011-05-31 02:39 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

closing for the lack of feedback
